Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001438graphvizOutput Generationpublic2008-10-11 03:242011-04-28 04:03
ReporterRyan Schmidt9 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-OSX-10.4.11OS Version
Summary0001438: Warning: No loadimage plugin for "png:map"
Description
cmap and cmapx output don't work when the graph contains PNG images. (Did not try other image formats.)
Steps To Reproduce

#!/bin/bash

# Make a PNG with ImageMagick to use as a node shape (or just use any PNG you have available)
convert -size 100x100 xc:lightyellow node.png

echo 'digraph G { a [shape=none label="" image="node.png" href="foo"] }' > cmapx.gv
dot -Tcmapx cmapx.gv > cmapx.cmapx
Additional Information

[ellson]
What doesn't work? I still get a map created.

The warning message should be suppressed for output formats that don't need to handle node images.

I fixed the warning messages.

[ryan] I get:
<CD>
\<map id="G" name="G"\>
Warning: No loadimage plugin for "png:map"
\<area shape="rect" id="node1" href="foo" alt="" coords="56,56,56,56"/\>
\</map\>
</CD>

So yes it generates a map, but the clickable region for node1 is 0x0 pixels. Shouldn't it be the size of the image?

[ellson] OK, Thanks. Fixed.

TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID1475
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENTFixed (11 Oct 2008)
VERSION     2.21.20081009.1842
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker